# Enum TextSelection.TextSelectionTrigger

java.lang.Object
java.lang.Enum<TextSelection.TextSelectionTrigger>
com.codename1.ui.TextSelection.TextSelectionTrigger

All Implemented Interfaces:
  `Comparable<TextSelection.TextSelectionTrigger>`

Enclosing class:
  `TextSelection`

public static enum TextSelection.TextSelectionTrigger extends Enum<TextSelection.TextSelectionTrigger>
Trigger types for text selection.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LongPress`
  Text selection is triggered by a long press on some text.
  `Press`
  TextSelection is triggered by a pointer press and drag.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextSelection.TextSelectionTrigger`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TextSelection.TextSelectionTrigger[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Press

    public static final TextSelection.TextSelectionTrigger Press
    TextSelection is triggered by a pointer press and drag. This is consistent with desktop mouse text selection behaviour.

  - ### LongPress

    public static final TextSelection.TextSelectionTrigger LongPress
    Text selection is triggered by a long press on some text.

- ## Method Details

  - ### values

    public static TextSelection.TextSelectionTrigger[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TextSelection.TextSelectionTrigger valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null